## libdsme 0.60.29+0m5

=== debian/changelog ===
libdsme (0.60.29+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Tue, 08 Sep 2009 10:26:23 +0300

libdsme (0.60.29) unstable; urgency=low

  * Fixes: NB#132619: Split libdsme into a separate source package

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 03 Sep 2009 11:16:47 +0300

dsme (0.60.28) unstable; urgency=low

  * Partial fix to NB#127466: remove a 2 s delay from shutdown
  * Once committed, do not stop thermal shutdown even if temps come down

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 02 Sep 2009 07:42:42 +0000

dsme (0.60.27) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * add high priority thread to kick hwwd's and wake up main thread
  * call g_thread_init()
  * protect all threads from OOM killer

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 23 Aug 2009 14:30:46 +0000

dsme (0.60.26) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * use helper app to avoid being non-async-signal-safe before exec
  * use -pthread gcc flag all over
  * only try to open thermal tuning file while in TA test
  * offload alarm state saving to the logger thread

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 18 Aug 2009 10:07:14 +0000

dsme (0.60.25) unstable; urgency=low

  * Part of the fix for NB#127507: do not block in parent when spawning
  * Fixes: NB#132451: detect mass storage mode properly

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 14 Aug 2009 10:37:56 +0000

dsme (0.60.24) unstable; urgency=low

  * Part of the fix for NB#123145: only prevent shutdown/reboot in USER mode

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 09 Aug 2009 09:58:33 +0000

dsme (0.60.23) unstable; urgency=low

  * Fixes: NB#130039: offload lifeguard statistics to the logger thread
  * Part of the fix for NB#123145: fix USB connection state detection

 -- Semi Malinen <semi.malinen@nokia.com>  Sat, 08 Aug 2009 10:11:23 +0000

dsme (0.60.22) unstable; urgency=low

  * Fixes: NB#129544: sync thermal manager to hwwd kicking

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 30 Jul 2009 15:01:57 +0000

dsme (0.60.21) unstable; urgency=low

  * Fixes: NB#127619: kick hwwd's every 12 s, process wd's every 24 s
  * Fixes: NB#126749: same as above
  * Part of the fix for NB#123145: deny shutdown/reboot when connected to PC

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 14 Jul 2009 08:21:08 +0000

dsme (0.60.20) unstable; urgency=low

  * Fixes: NB#124471: fix K to degrees C conversion heuristics

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 24 Jun 2009 19:04:45 +0000

dsme (0.60.19) unstable; urgency=low

  * revert the botched attempt at posixifying dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 10:31:37 +0000

dsme (0.60.18) unstable; urgency=low

  * NB#101783: allow setting of oom_adj for non-root users of dsmetool

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 06:59:48 +0000

dsme (0.60.17) unstable; urgency=low

  * off-load logging to a separate thread to prevent main thread from blocking
  * attempt to posixify dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 04 Jun 2009 14:40:42 +0000

dsme (0.60.16) unstable; urgency=low

  * log if wd's are kicked 1 s or more later than anticipated
  * log sender of shutdown/reboot/powerup request for D-Dbus

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 02 Jun 2009 09:00:59 +0000

dsme (0.60.15) unstable; urgency=low

  * make wd kick period only 5 seconds as a temporary workaround
  * remove separate hw wd thread and kick wd's from the main thread
  * kick hw wd's before sending process wd pings
  * log bootstate at startup
  * log sender of shutdown/reboot/powerup request for dsmesock

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 01 Jun 2009 08:59:05 +0000

dsme (0.60.14) unstable; urgency=low

  * Fixes: NB#112871: lock all pages to RAM
  * Fixes: NB#118702: lock all pages to RAM
  * Fixes: NB#118399: add a timeout to dsmetool
  * /etc/event.d/dsme: do not respawn dsme
  * /etc/event.d/dsme: waitfordsme in post-start script

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 27 May 2009 08:40:10 +0000

dsme (0.60.13) unstable; urgency=low

  * Fixes: NB#117923 - kick watchdogs 2 s before running 'telinit 0'
  * Fixes: NB#101783 - dsmetool supports -m for setting oom_adj
  * Estimate surface temperature as (BTEMP - 7)

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 18 May 2009 14:29:41 +0000

dsme (0.60.12) unstable; urgency=low

  * Part of the fix for NB#102069: re-enable hw wd kicking
  * Fixes: NB#100976 - do not write alarms to file if unchanged
  * Fixes: NB#115416 - write fewer lines to console from lifeguard
  * Part of the fix for NB#102544: add dsmetool flag -b to request reboot
  * Potential fix for NB#116253: do not syslog in signal handler
  * Fixes: NB#111827 - dsmetool now reports if -k fails
  * Fixes: NB#103369 - dsme now sources system wide resource limits

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 15 May 2009 07:16:05 +0000

dsme (0.60.11) unstable; urgency=low

  * Fixes: NB#116394 - give sysinfod some time to get its D-Bus interface up

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 13 May 2009 05:53:53 +0000

dsme (0.60.10) unstable; urgency=low

  * Temporary fix: do not mlockall() until camerad can cope with it
  * Restore the default scheduler for children

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 08 May 2009 11:10:12 +0000

dsme (0.60.9) unstable; urgency=low

  * Temporary fix: do not kick hw wd's until glib supports monotonic timeouts

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 04 May 2009 14:13:43 +0000

dsme (0.60.8) unstable; urgency=low

  * Fixes: NB#102069 - poll battery temperature asynchronously
  * Part of the potential fix for NB#102544: favor reboot over actdead
  * Add support for logging temperature and thermal status to a file


## libdsme 0.60.30+0m5

=== Makefile ===
#
# Build targets
#
A_LIBRARIES  := libdsme
SO_LIBRARIES := libdsme libdsme_dbus_if

VERSION := 0.60.28

#
# Install files in this directory
#
INSTALL_PERM  := 644
INSTALL_OWNER := $(shell id -u)
INSTALL_GROUP := $(shell id -g)

INSTALL_A_LIBRARIES                   := libdsme.a
$(INSTALL_A_LIBRARIES) : INSTALL_DIR  := $(DESTDIR)/usr/lib
INSTALL_SO_LIBRARIES                  := libdsme.so libdsme_dbus_if.so
$(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
$(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/usr/lib
INSTALL_INCLUDES                      := include/dsme/protocol.h     \
                                         include/dsme/messages.h     \
                                         include/dsme/processwd.h    \
                                         include/dsme/state.h        \
                                         include/dsme/state_states.h \
                                         modules/dsme_dbus_if.h
$(INSTALL_INCLUDES)    : INSTALL_DIR  := $(DESTDIR)/usr/include/dsme
#INSTALL_OTHER                         := README
#README: INSTALL_DIR                   := $(DESTDIR)/usr/share/doc/dsme
INSTALL_OTHER                         := dsme.pc dsme_dbus_if.pc
dsme.pc                : INSTALL_DIR  := $(DESTDIR)/usr/lib/pkgconfig
dsme_dbus_if.pc        : INSTALL_DIR  := $(DESTDIR)/usr/lib/pkgconfig

#
# Compiler and tool flags
# C_OPTFLAGS are not used for debug builds (ifdef DEBUG)
# C_DBGFLAGS are not used for normal builds
#
C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g \
                  -Wall -Wwrite-strings -Wmissing-prototypes -Werror# -pedantic
C_OPTFLAGS     := -O2 -s
C_DBGFLAGS     := -g -DDEBUG -DDSME_LOG_ENABLE
C_DEFINES      := DSME_POSIX_TIMER DSME_WD_SYNC DSME_BMEIPC
C_INCDIRS      := $(TOPDIR)/include $(TOPDIR)/modules $(TOPDIR) 
MKDEP_INCFLAGS := $$(pkg-config --cflags-only-I glib-2.0)

LD_GENFLAGS := -pthread
LD_LIBPATHS := $(TOPDIR)

# If OSSO_DEBUG is defined, compile in the logging
#ifdef OSSO_LOG
C_OPTFLAGS += -DDSME_LOG_ENABLE
#endif

ifneq (,$(findstring DSME_BMEIPC,$(C_DEFINES)))
export DSME_BMEIPC = yes
endif

ifneq (,$(findstring DSME_MEMORY_THERMAL_MGMT,$(C_DEFINES)))
export DSME_MEMORY_THERMAL_MGMT = yes
endif

#
# Target composition and overrides
#


# libdsme.so and libdsme.a
protocol.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
message.o  : C_EXTRA_GENFLAGS := -fPIC
libdsme_C_OBJS                := protocol.o message.o
libdsme_EXTRA_LDFLAGS         := $$(pkg-config --libs glib-2.0)
libdsme.so : LIBRARY_VERSION  := 0.2.0

# libdsme_dbus_if.so
libdsme_dbus_if_C_OBJS                   := modules/dsme_dbus_if.o
modules/dsme_dbus_if.o: C_EXTRA_GENFLAGS := -fPIC
libdsme_dbus_if.so    : LIBRARY_VERSION  := 0.2.0

# TODO: move dsme-exec-helper to modules/
# dsme-exec-helper
dsme-exec-helper_C_OBJS := dsme-exec-helper.o oom.o
dsme-exec-helper.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)


#
# This is the topdir for build
#
TOPDIR := $(shell /bin/pwd)

#
# Non-target files/directories to be deleted by distclean
#
DISTCLEAN_DIRS	:=	doc tags

#DISTCLN_SUBDIRS := _distclean_tests

#
# Actual rules
#
include $(TOPDIR)/Rules.make

.PHONY: tags
tags:
	find . -name '*.[hc]'  |xargs ctags

.PHONY: doc
doc:
	doxygen


.PHONY: test
test: all
	make -C test depend
	make -C test
	make -C test run

=== debian/changelog ===
libdsme (0.60.30+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Thu, 11 Feb 2010 13:29:49 +0200

libdsme (0.60.30) unstable; urgency=low

  * Fixes: NB#153879: dsmetool crash due to connection is closed 

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Mon, 08 Feb 2010 12:44:53 +0300

=== debian/control ===
Source: libdsme
Section: misc
Priority: optional
Maintainer: Semi Malinen <semi.malinen@nokia.com>
Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 pkg-config,
 libglib2.0-dev
Standards-Version: 3.7.2

Package: libdsme0.2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdsme0
Description: DSME dsmesock dynamic library
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libdsme0.2.0 (= ${binary:Version})
Description: DSME dsmesock dynamic library (with debug symbols)
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-dev
Section: libdevel
Architecture: any
Depends: libdsme0.2.0 (= ${binary:Version})
Description: Development files for dsme
 This package contains headers and static libraries needed to develop programs
 that want to communicate with the Device State Management Entity.

## libdsme 0.64.1%2B15.10.20150929

=== debian/control ===
Source: libdsme
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antti Virtanen <antti.i.virtanen@nokia.com>
Build-Depends: check,
               debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev,
               pkg-config,
Standards-Version: 3.9.5
Homepage: https://github.com/nemomobile/libdsme

Package: libdsme0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: DSME dsmesock dynamic library
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdsme0 (= ${binary:Version}),
Description: Development files for dsme
 This package contains headers and static libraries needed to develop programs
 that want to communicate with the Device State Management Entity.

## libdsme 0.64.1+15.10.20150929

=== Makefile ===
# Package version
VERSION   := 0.64.1

# Shared object version
SOMAJOR   := .0
SOMINOR   := .3
SORELEASE := .0

SOLINK    := .so
SONAME    := .so$(SOMAJOR)
SOVERS    := .so$(SOMAJOR)$(SOMINOR)$(SORELEASE)

# Files to build / install
TARGETS_LIB    += libdsme.a

TARGETS_DSO    += libdsme$(SOVERS)
TARGETS_DSO    += libdsme_dbus_if$(SOVERS)
TARGETS_DSO    += libthermalmanager_dbus_if$(SOVERS)

INSTALL_HDR    += include/dsme/protocol.h
INSTALL_HDR    += include/dsme/messages.h
INSTALL_HDR    += include/dsme/alarm_limit.h
INSTALL_HDR    += include/dsme/processwd.h
INSTALL_HDR    += include/dsme/state.h
INSTALL_HDR    += include/dsme/state_states.h
INSTALL_HDR    += modules/dsme_dbus_if.h
INSTALL_HDR    += modules/thermalmanager_dbus_if.h

INSTALL_PC     += dsme.pc
INSTALL_PC     += dsme_dbus_if.pc
INSTALL_PC     += thermalmanager_dbus_if.pc

TARGETS_UT_BIN += tests/ut_libdsme
INSTALL_UT_XML += tests/tests.xml

TARGETS_ALL    += $(TARGETS_LIB) $(TARGETS_DSO) $(TARGETS_UT_BIN)

# Dummy default install dir - override from packaging scripts
DESTDIR ?= /tmp/libdsme-test-install

# ----------------------------------------------------------------------------
# Top level targets
# ----------------------------------------------------------------------------

.PHONY: build install clean distclean mostlyclean

build:: $(TARGETS_ALL)

install:: build

clean:: mostlyclean
	$(RM) $(TARGETS_ALL)

distclean:: clean

mostlyclean::
	$(RM) *.o *~ */*.o */*~

install :: install_main install_devel install_tests

install_main::
	# dynamic libraries
	install -d -m 755 $(DESTDIR)/usr/lib
	install -m 644 $(TARGETS_DSO) $(DESTDIR)/usr/lib

install_devel::
	# headers
	install -d -m 755 $(DESTDIR)/usr/include/dsme
	install -m 644 $(INSTALL_HDR) $(DESTDIR)/usr/include/dsme
	# pkg config
	install -d -m 755 $(DESTDIR)/usr/lib/pkgconfig
	install -m 644 $(INSTALL_PC) $(DESTDIR)/usr/lib/pkgconfig
	# static libraries
	install -d -m 755 $(DESTDIR)/usr/lib
	install -m 644 $(TARGETS_LIB) $(DESTDIR)/usr/lib
	# symlinks for dynamic linking
	for f in $(TARGETS_DSO); do \
	  ln -sf $$(basename $$f $(SOVERS))$(SONAME) \
	    $(DESTDIR)/usr/lib/$$(basename $$f $(SOVERS))$(SOLINK); \
	done

install_tests::
	# xml
	install -d -m 755 $(DESTDIR)/opt/tests/libdsme
	install -m644 $(INSTALL_UT_XML) $(DESTDIR)/opt/tests/libdsme
	# binary
	install -m755 $(TARGETS_UT_BIN) $(DESTDIR)/opt/tests/libdsme

# ----------------------------------------------------------------------------
# Build rules
# ----------------------------------------------------------------------------

%.pic.o     : %.c ; $(CC) -o $@ -c $< -fPIC $(CPPFLAGS) $(CFLAGS)
%.o         : %.c ; $(CC) -o $@ -c $< $(CPPFLAGS) $(CFLAGS)
%$(SOVERS)  :     ; $(CC) -o $@ -shared -Wl,-soname,$*$(SONAME) $^ $(LDFLAGS) $(LDLIBS)
%           : %.o ; $(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)
%.a         :     ; $(AR) ru $@ $^

# ----------------------------------------------------------------------------
# Common options
# ----------------------------------------------------------------------------

CFLAGS   += -O2
CFLAGS   += -Wall -Wwrite-strings -Wmissing-prototypes -Werror

CFLAGS   += -g
LDFLAGS  += -g

LDFLAGS  += -Wl,--as-needed

# ----------------------------------------------------------------------------
# libdsme$(SOVERS) and libdsme.a
# ----------------------------------------------------------------------------

libdsme_OBJ += protocol.pic.o message.pic.o alarm_limit.pic.o
libdsme_PC  += glib-2.0

libdsme$(SOVERS) : CFLAGS += $$(pkg-config --cflags $(libdsme_PC))
libdsme$(SOVERS) : LDLIBS += $$(pkg-config --libs $(libdsme_PC))
libdsme$(SOVERS) : $(libdsme_OBJ)

libdsme.a : CFLAGS += $$(pkg-config --cflags $(libdsme_PC))
libdsme.a : $(patsubst %.pic.o, %.o, $(libdsme_OBJ))

# ----------------------------------------------------------------------------
# libdsme_dbus_if$(SOVERS)
# ----------------------------------------------------------------------------

libdsme_dbus_if_OBJ += modules/dsme_dbus_if.pic.o

libdsme_dbus_if$(SOVERS) : $(libdsme_dbus_if_OBJ)

# ----------------------------------------------------------------------------
# libthermalmanager_dbus_if$(SOVERS)
# ----------------------------------------------------------------------------

libthermalmanager_dbus_if_OBJ += modules/thermalmanager_dbus_if.pic.o

libthermalmanager_dbus_if$(SOVERS) : $(libthermalmanager_dbus_if_OBJ)

# ----------------------------------------------------------------------------
# ut_libdsme
# ----------------------------------------------------------------------------

ut_libdsme_OBJ += tests/ut_libdsme.o
ut_libdsme_PC  += glib-2.0 check

tests/ut_libdsme : CFLAGS += $$(pkg-config --cflags $(ut_libdsme_PC))
tests/ut_libdsme : LDLIBS += $$(pkg-config --libs $(ut_libdsme_PC))
tests/ut_libdsme : $(ut_libdsme_OBJ) libdsme$(SOVERS)

=== debian/changelog ===
libdsme (0.64.1+15.10.20150929-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * New package. 
  * debian/patches/libdir.patch
    - Fixed links and make multi-arch friendly
  * New package. debian/patches/libdir.patch Fixed links and make multi-
    arch friendly debhelper (>= 9), dh-autoreconf, libglib2.0-dev, pkg-
    config, ${shlibs:Depends}, ${shlibs:Depends}, libdsme0 (=
    ${binary:Version}), dh_auto_install # remove tests rm -rf
    debian/tmp/opt dh $@ --fail-missing removed: debian/
    debian/README.Debian debian/api debian/changelog debian/compat
    debian/control debian/control-testcases debian/copyright debian/docs
    debian/libdsme0.2.0-dev.dirs debian/libdsme0.2.0-dev.install
    debian/libdsme0.2.0.dirs debian/libdsme0.2.0.install debian/rules
    added: .bzr-builddeb/ .bzr-builddeb/default.conf debian/
    debian/changelog debian/compat debian/control debian/control-
    testcases debian/copyright debian/libdsme0-dev.install
    debian/libdsme0.install debian/patches/ debian/patches/libdir.patch
    debian/patches/series debian/rules debian/source/
    debian/source/format
  * initial package

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 29 Sep 2015 19:17:21 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_install:
	dh_auto_install
	# remove tests
	rm -rf debian/tmp/opt

%:
	dh $@ --fail-missing
